.TH TEXT 3 "October 18, 1990" "NeXT Computer, Inc."
.UC 4
.SH NAME
.nh
text \- utilities for textual analysis, indexing, searching, and file analysis
.SH SYNOPSIS
.ft L
#include <text/text.h>
.SH DESCRIPTION
.nh
The common text library, libtext, contains a variety of utilities 
for textual analysis, indexing, searching, and file analysis. 
.SH SUMMARY
The common text library comprises:
.TP 5
.B fileutil(3)
.nh
\c
file utility functions, including
\fBfdSize\fR, \fBfdWriteDate\fR, \fBfileInode\fR, \fBfileMode\fR, 
\fBfiletype\fR, \fBfirstLine\fR and \fBisDirectory\fR
.TP 5
.B ix(3)
.nh
\c
inverted index access functions, including
\fBixUnlink\fR, \fBixFlush\fR, \fBixClose\fR, \fBixOpen\fR, 
\fBixOpenParent\fR, \fBixWriteFileCell\fR,
\fBixNewFileCell\fR, \fBixFreeFileCell\fR, 
\fBixReadFileCell\fR, \fBixWriteStatus\fR, \fBixRemoveFileCell\fR, 
\fBixRemoveFileCellById\fR, \fBixRemoveFileCellByName\fR, \fBixCopyFileCell\fR, 
\fBixInitFileCell\fR, \fBixGetRegistration\fR, 
\fBixGetRegistrationId\fR, \fBixGetRegistrationFileCell\fR,
\fBixGetRegistrationDate\fR, \fBixPutRegistration\fR, 
\fBixClearRegistrationByName\fR, \fBixClearRegistration\fR, 
\fBixPrintFileCell\fR, \fBixPrintFileCellById\fR, \fBixPrintRefList\fR, 
\fB_ixStopWordCheck\fR, \fB_ixStopWordEnter\fR, 
\fBixLoadStopWordTable\fR, \fB_ixAssociate\fR, \fBixAssociate\fR, 
\fBixAssociated\fR, \fBixAddFileCell\fR, \fBixSortRefList\fR, 
\fBixClearRefList\fR, \fBixGetRefList\fR, \fBixIndexQuery\fR, 
\fBixSearchQuery\fR, \fBixParentFolder\fR, and \fBixFullPath\fR, 
.TP 5
.B pathutil(3)
.nh
\c
path management functions, including
\fBbasename\fR, \fBdirectoryApply\fR, \fBdirectoryStat\fR, 
\fBdirectoryUnlink\fR, \fBabsolutePath\fR, 
\fBfilenameToRegex\fR, \fBfindPath\fR, \fBfullPath\fR, 
\fBparentname\fR and \fBpwd\fR
.TP 5
.B search(3)
.nh
\c
searching functions, including
\fBfindWord\fR, \fBBinarySearch\fR, \fBbinarySearch\fR, 
\fBbm_compile\fR, and \fBbm_match\fR.
.TP 5
.B spell(3)
.nh
\c
spelling correction functions, including  
\fBSPbestpath\fR, \fBSPbestmatch\fR, \fBSPmorgan\fR, and \fBSPwagfisch\fR.
.TP 5
.B strutil(3)
.nh
\c
string utility functions, including 
\fBblank\fR, \fBhasdigit\fR, \fBhaslower\fR, \fBhasupper\fR, 
\fBstrtolower\fR, \fBstrtoupper\fR, 
\fBstrindex\fR, \fBstrsave\fR, and \fBtranslate\fR.
.TP 5
.B webster(3)
.nh
\c
functions providing access to the Merriam-Webster database, 
including \fBreferenceOpen\fR, \fBreferenceClose\fR, \fBnextDefinition\fR, 
\fBgetDefinition\fR, \fBgetNextDefinition\fR, \fBfreeDefinition\fR, 
and \fBputDefinition\fR.
.TP 5
.B wftable(3)
.nh
\c
word frequency table functions, including 
\fBwordPeculiarity\fR, \fBwordFrequency\fR, \fBwordCount\fR, 
\fBwordRank\fR,\fBmakeWFTableFromHistogram\fR, \fBreadWFTable\fR, 
\fBwriteWFTable\fR, and \fBfreeWFTable\fR.
.sp
.LP
.SH "SEE ALSO"
.nh
fileutil(3), ix(3), pathutil(3), search(3), 
spell(3), strutil(3), webster(3), wftable(3)

